#!/usr/bin/env

'use strict'

const apemanApiClient = require('apeman-api/client')
const co = require('co')

co(function * () {
  let api = apemanApiClient('http://localhost:3000')

  {
    // Access to sign api
    let sign = yield api.connect('sign')
    // Call defined method with promise interface.
    let { success } = yield sign.signin('my-account', 'a9!ladsf0')
    /* ... */
  }
}).catch((err) => console.error(err))
