/**
 * Test case for transaction.
 * Runs with mocha.
 */
'use strict'

const transaction = require('../lib/transaction.js')
const assert = require('assert')
const co = require('co')

describe('transaction', function () {
  this.timeout(3000)

  before(() => co(function * () {

  }))

  after(() => co(function * () {

  }))

  it('Transaction', () => co(function * () {
    let handler = (client) => co(function * () {
      let sign = yield client.connect('sign')
      let { success } = yield sign.signin()
      assert.equal(success, true)
    })
    yield transaction(handler)({
      configuration: require.resolve('../misc/mocks/mock-Apemanfile')
    })
  }))
})

/* global describe, before, after, it */
