/**
 * Remote api call
 * @module apeman-api
 * @version 1.0.22
 */

'use strict'

const apemanApi = require('./apeman_api')
const transaction = require('./transaction')
const client = require('../client')

let lib = apemanApi.bind(this)

Object.assign(lib, apemanApi, {
  apemanApi,
  client,
  transaction
})

module.exports = lib
